Bug 1124985 - [abrt] codeblocks: wxStringBase::rfind(): codeblocks killed by SIGSEGV
Summary: [abrt] codeblocks: wxStringBase::rfind(): codeblocks killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: codeblocks
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9a52166a71a724a0aeaf2be0348...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 19:19 UTC by Chris
Modified: 2015-06-29 21:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:51:48 UTC


Attachments (Terms of Use)
File: backtrace (63.21 KB, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: core_backtrace (32.96 KB, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: dso_list (10.72 KB, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: environ (1023 bytes, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: maps (56.46 KB, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: open_fds (1.02 KB, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details
File: var_log_messages (351 bytes, text/plain)
2014-07-30 19:19 UTC, Chris
no flags Details

Description Chris 2014-07-30 19:19:26 UTC
Description of problem:
I wasn't doing anything particular, just editing code.

Version-Release number of selected component:
codeblocks-12.11-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        codeblocks
crash_function: wxStringBase::rfind
executable:     /usr/bin/codeblocks
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wxStringBase::rfind at src/common/string.cpp:560
 #1 find_last_of at include/wx/string.h:602
 #2 wxFileName::SplitPath at src/common/filename.cpp:2036
 #3 wxFileName::Assign at src/common/filename.cpp:458
 #4 wxFileName at /usr/include/wx-2.8/wx/filename.h:109
 #5 operator== at /usr/include/wx-2.8/wx/filename.h:359
 #6 FileManager::Load at filemanager.cpp:146
 #7 Parser::Parse at parser/parser.cpp:568
 #8 ParserThreadedTask::Execute at parser/parserthreadedtask.cpp:102
 #9 cbThreadPool::cbWorkerThread::Entry at cbthreadpool.cpp:216

Potential duplicate: bug 985468

Comment 1 Chris 2014-07-30 19:19:28 UTC
Created attachment 922677 [details]
File: backtrace

Comment 2 Chris 2014-07-30 19:19:29 UTC
Created attachment 922678 [details]
File: cgroup

Comment 3 Chris 2014-07-30 19:19:30 UTC
Created attachment 922679 [details]
File: core_backtrace

Comment 4 Chris 2014-07-30 19:19:31 UTC
Created attachment 922680 [details]
File: dso_list

Comment 5 Chris 2014-07-30 19:19:31 UTC
Created attachment 922681 [details]
File: environ

Comment 6 Chris 2014-07-30 19:19:32 UTC
Created attachment 922682 [details]
File: exploitable

Comment 7 Chris 2014-07-30 19:19:33 UTC
Created attachment 922683 [details]
File: limits

Comment 8 Chris 2014-07-30 19:19:34 UTC
Created attachment 922684 [details]
File: maps

Comment 9 Chris 2014-07-30 19:19:34 UTC
Created attachment 922685 [details]
File: open_fds

Comment 10 Chris 2014-07-30 19:19:35 UTC
Created attachment 922686 [details]
File: proc_pid_status

Comment 11 Chris 2014-07-30 19:19:36 UTC
Created attachment 922687 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:31:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:51:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.